import type { Ref } from 'vue';
import type { PostAuthor, PostTag, ChoiceOption, FilterConfig } from '../services/types';
export declare const useFilterStore: (ownerId: number) => import("pinia").Store<"filter", import("pinia")._UnwrapAll<Pick<{
    formulaOptions: Ref<string[], string[]>;
    formulaValues: Ref<string[], string[]>;
    categoriesOptions: Ref<ChoiceOption[], ChoiceOption[]>;
    categoriesValues: Ref<string[], string[]>;
    authorsOptions: Ref<PostAuthor[], PostAuthor[]>;
    authorsValues: Ref<string[], string[]>;
    tagsOptions: Ref<PostTag[], PostTag[]>;
    tagsValues: Ref<string[], string[]>;
    dateFromValue: Ref<number | null, number | null>;
    dateUntilValue: Ref<number | null, number | null>;
    warningMessage: Ref<string, string>;
    setOwnerId: (id: number) => void;
    loadFormulaOptions: (query: string) => Promise<void>;
    loadDefaultFormulaOptions: () => Promise<void>;
    loadAuthors: (query: string) => Promise<void>;
    loadTags: (query: string) => Promise<void>;
    addTag: (tag: string) => void;
    addAuthor: (author: string) => void;
    getFilterConfig: () => FilterConfig;
    importForm: (hash: string) => boolean;
    exportForm: () => string;
}, "categoriesOptions" | "formulaOptions" | "formulaValues" | "categoriesValues" | "authorsOptions" | "authorsValues" | "tagsOptions" | "tagsValues" | "dateFromValue" | "dateUntilValue" | "warningMessage">>, Pick<{
    formulaOptions: Ref<string[], string[]>;
    formulaValues: Ref<string[], string[]>;
    categoriesOptions: Ref<ChoiceOption[], ChoiceOption[]>;
    categoriesValues: Ref<string[], string[]>;
    authorsOptions: Ref<PostAuthor[], PostAuthor[]>;
    authorsValues: Ref<string[], string[]>;
    tagsOptions: Ref<PostTag[], PostTag[]>;
    tagsValues: Ref<string[], string[]>;
    dateFromValue: Ref<number | null, number | null>;
    dateUntilValue: Ref<number | null, number | null>;
    warningMessage: Ref<string, string>;
    setOwnerId: (id: number) => void;
    loadFormulaOptions: (query: string) => Promise<void>;
    loadDefaultFormulaOptions: () => Promise<void>;
    loadAuthors: (query: string) => Promise<void>;
    loadTags: (query: string) => Promise<void>;
    addTag: (tag: string) => void;
    addAuthor: (author: string) => void;
    getFilterConfig: () => FilterConfig;
    importForm: (hash: string) => boolean;
    exportForm: () => string;
}, never>, Pick<{
    formulaOptions: Ref<string[], string[]>;
    formulaValues: Ref<string[], string[]>;
    categoriesOptions: Ref<ChoiceOption[], ChoiceOption[]>;
    categoriesValues: Ref<string[], string[]>;
    authorsOptions: Ref<PostAuthor[], PostAuthor[]>;
    authorsValues: Ref<string[], string[]>;
    tagsOptions: Ref<PostTag[], PostTag[]>;
    tagsValues: Ref<string[], string[]>;
    dateFromValue: Ref<number | null, number | null>;
    dateUntilValue: Ref<number | null, number | null>;
    warningMessage: Ref<string, string>;
    setOwnerId: (id: number) => void;
    loadFormulaOptions: (query: string) => Promise<void>;
    loadDefaultFormulaOptions: () => Promise<void>;
    loadAuthors: (query: string) => Promise<void>;
    loadTags: (query: string) => Promise<void>;
    addTag: (tag: string) => void;
    addAuthor: (author: string) => void;
    getFilterConfig: () => FilterConfig;
    importForm: (hash: string) => boolean;
    exportForm: () => string;
}, "setOwnerId" | "loadFormulaOptions" | "loadDefaultFormulaOptions" | "loadAuthors" | "loadTags" | "addTag" | "addAuthor" | "getFilterConfig" | "importForm" | "exportForm">>;
